##
## Copyright (c) 2021 The Yaook Authors.
##
## This file is part of Yaook.
## See https://yaook.cloud for further info.
##
## Licensed under the Apache License, Version 2.0 (the "License");
## you may not use this file except in compliance with the License.
## You may obtain a copy of the License at
##
##     http://www.apache.org/licenses/LICENSE-2.0
##
## Unless required by applicable law or agreed to in writing, software
## distributed under the License is distributed on an "AS IS" BASIS,
## WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
## See the License for the specific language governing permissions and
## limitations under the License.
##
apiVersion: batch/v1
kind: Job
metadata:
  generateName: "placement-db-sync-"
spec:
  backoffLimit: 12
  template:
    spec:
        automountServiceAccountToken: false
        containers:
          - name: placement-setup
            image: {{ versioned_dependencies['placement_docker_image'] }}
            command: ["placement-manage", "--debug", "db", "sync"]
            volumeMounts:
              - name: placement-config-volume
                mountPath: /etc/placement/placement.conf
                subPath: placement.conf
              - name: ca-certs
                mountPath: /etc/ssl/certs
            env:
              - name: REQUESTS_CA_BUNDLE
                value: /etc/ssl/certs/ca-bundle.crt
            resources: {{ crd_spec | resources('job.placement-db-sync-job') }}
        volumes:
          - name: placement-config-volume
            secret:
              secretName: {{ dependencies['placement_config'].resource_name() }}
              items:
                - key: placement.conf
                  path: placement.conf
          - name: ca-certs
            configMap:
              name: {{ dependencies['ca_certs'].resource_name() }}
{% if crd_spec.imagePullSecrets | default(False) %}
        imagePullSecrets: {{ crd_spec.imagePullSecrets }}
{% endif %}
        restartPolicy: Never
